# Spread namespace

This namespace is spread over two files.

### Contents

- Reference
  - Typedefs
  - Functions
  - Variables

So it has per-entry includes next to template info, properly expanding the brief-only docs into detailed ones.

## Typedefs

template<class T>
using Alias = T
  A template alias.

## Functions

template<class T>
void bar()
  A templated function.

## Variables

template<class T>
const T* Var constexpr
  A templated variable.

## Typedef documentation

###
#include <First.h>
template<class T>
using Spread::Alias = T

A template alias.

## Function documentation

###
#include <First.h>
template<class T>
void Spread::bar()

A templated function.

## Variable documentation

###
#include <Second.h>
template<class T>
const T* Spread::Var constexpr

A templated variable.